#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cmake
Version		:	3.28.0
Release		:	14.8.0.0%{?dist}
Summary		:	Cross-platform make system
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and MIT and zlib
URL		:	https://cmake.org/files/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	expat-devel

Requires	:	libuv
#-----------------------------------------------------------------------------
%description
'%{name}' is used to control the software compilation process using simple
platform and compiler independent configuration files. CMake generates
native makefiles and workspaces that can be used in the compiler
environment of your choice. CMake is quite sophisticated: it is possible
to support complex environments requiring system configuration, preprocessor
generation, code generation, and template instantiation.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/c%{name}
%{_bindir}/cpack
%{_bindir}/ctest
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/%{name}/*
%{_datadir}/bash-completion/completions/c*
%{_datadir}/emacs/site-lisp/cmake-mode.el
%{_datadir}/vim/vimfiles/indent/cmake.vim
%{_datadir}/vim/vimfiles/syntax/cmake.vim
%{_defaultdocdir}/%{name}-%{version}/*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i 							\
  -e '/"lib64"/s/64//'					\
  Modules/GNUInstallDirs.cmake

./bootstrap						\
        --prefix=%{_prefix}				\
	--mandir=/share/man				\
	--datadir=/share/%{name}			\
	--docdir=/share/doc/%{name}-%{version}		\
	--system-libs   				\
	--no-qt-gui					\
	--no-system-jsoncpp				\
	--no-system-cppdap				\
	--no-system-librhash				\
	--parallel=`/usr/bin/getconf _NPROCESSORS_ONLN`	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#-----------------------------------------------------------------------------
%changelog
